怎样删除旧的内核版本 谢谢

为当前最终发行版之前的所有版本提供支持
回复
kaizer-j
帖子: 22
注册时间: 2008-05-02 9:26
送出感谢: 0
接收感谢: 0

怎样删除旧的内核版本 谢谢

#1

帖子 kaizer-j » 2008-08-19 18:35

怎么样能彻底的删除不用的内核版本呢 要彻底哦 这是一些信息 或者我这些项哪些可以清理掉的 我现在用的是2.6.24.21的版本 谢谢
kaizerjiang@kaizerjiang:/$ dpkg --get-selections | grep linux
libselinux1 install
linux-generic install
linux-headers-2.6.24-19 install
linux-headers-2.6.24-19-generic install
linux-headers-2.6.24-20 install
linux-headers-2.6.24-20-generic install
linux-headers-2.6.24-21 install
linux-headers-2.6.24-21-generic install
linux-headers-generic install
linux-image-2.6.24-19-generic install
linux-image-2.6.24-20-generic install
linux-image-2.6.24-21-generic install
linux-image-generic install
linux-libc-dev install
linux-restricted-modules-2.6.24-19-generic install
linux-restricted-modules-2.6.24-20-generic install
linux-restricted-modules-2.6.24-21-generic install
linux-restricted-modules-common install
linux-restricted-modules-generic install
linux-sound-base install
linux-ubuntu-modules-2.6.24-19-generic install
linux-ubuntu-modules-2.6.24-20-generic install
linux-ubuntu-modules-2.6.24-21-generic install
util-linux install
util-linux-locales install
kaizerjiang@kaizerjiang:/$
头像
chinesejerry
帖子: 510
注册时间: 2007-10-06 3:48
来自: 霍格沃茨魔法学校葛莱芬多学院
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 chinesejerry » 2008-08-19 19:01

新立德里,对应的版本号,卸载。
Because...nobody really uses an operating system,
people use...programs...on their computer.
And the only mission in life of an operating system is to helps those programs run.
----Linus
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 想入非非 » 2008-08-19 19:05

linux-image-2.6.24-19-generic install
linux-image-2.6.24-20-generic install
删除这两个就行了
sudo apt-get remove * :oops:
Ubuntu User
kaizer-j
帖子: 22
注册时间: 2008-05-02 9:26
送出感谢: 0
接收感谢: 0

#4

帖子 kaizer-j » 2008-08-20 16:08

只用删除那两个就行了吗 我删除了 那两个在新得力删除掉后是这样的 还有必要再删除其他的吗 怎么觉得 还不干净阿
kaizerjiang@kaizerjiang:~$ dpkg --get-selections | grep linux
libselinux1 install
linux-generic install
linux-headers-2.6.24-19 install
linux-headers-2.6.24-19-generic install
linux-headers-2.6.24-20 install
linux-headers-2.6.24-20-generic install
linux-headers-2.6.24-21 install
linux-headers-2.6.24-21-generic install
linux-headers-generic install
linux-image-2.6.24-21-generic install
linux-image-generic install
linux-libc-dev install
linux-restricted-modules-2.6.24-19-generic deinstall
linux-restricted-modules-2.6.24-20-generic deinstall
linux-restricted-modules-2.6.24-21-generic install
linux-restricted-modules-common install
linux-restricted-modules-generic install
linux-sound-base install
linux-ubuntu-modules-2.6.24-19-generic deinstall
linux-ubuntu-modules-2.6.24-20-generic deinstall
linux-ubuntu-modules-2.6.24-21-generic install
util-linux install
util-linux-locales install
kaizerjiang@kaizerjiang:~$
头像
bt_one
帖子: 136
注册时间: 2008-04-18 20:58
送出感谢: 0
接收感谢: 0

#5

帖子 bt_one » 2008-08-20 16:46

想入非非 写了:linux-image-2.6.24-19-generic install
linux-image-2.6.24-20-generic install
删除这两个就行了
sudo apt-get remove * :oops:
我还是比较支持用命令来卸载 要是用新立德的话有可能把有些依赖的卸载了 千万要注意版本
ti8er
帖子: 497
注册时间: 2006-10-18 8:48
送出感谢: 0
接收感谢: 2 次

#6

帖子 ti8er » 2008-08-20 17:21

把相关版本号的都删除了。
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 想入非非 » 2008-08-20 17:42

linux-headers-2.6.24-19 install
linux-headers-2.6.24-19-generic install
linux-headers-2.6.24-20 install
linux-headers-2.6.24-20-generic install
linux-restricted-modules-2.6.24-19-generic deinstall
linux-restricted-modules-2.6.24-20-generic deinstall
linux-ubuntu-modules-2.6.24-19-generic deinstall
linux-ubuntu-modules-2.6.24-20-generic deinstall
这几个不知道可不可以删除,但是好像删除后没什么影响,
那就sudo apt-get remove * :roll:
Ubuntu User
头像
chinesejerry
帖子: 510
注册时间: 2007-10-06 3:48
来自: 霍格沃茨魔法学校葛莱芬多学院
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 chinesejerry » 2008-08-20 18:53

kaizer-j 写了:只用删除那两个就行了吗 我删除了 那两个在新得力删除掉后是这样的 还有必要再删除其他的吗 怎么觉得 还不干净阿
kaizerjiang@kaizerjiang:~$ dpkg --get-selections | grep linux
libselinux1 install
linux-generic install
linux-headers-2.6.24-19 install
linux-headers-2.6.24-19-generic install
linux-headers-2.6.24-20 install
linux-headers-2.6.24-20-generic install
linux-headers-2.6.24-21 install
linux-headers-2.6.24-21-generic install
linux-headers-generic install
linux-image-2.6.24-21-generic install
linux-image-generic install
linux-libc-dev install
linux-restricted-modules-2.6.24-19-generic deinstall
linux-restricted-modules-2.6.24-20-generic deinstall
linux-restricted-modules-2.6.24-21-generic install
linux-restricted-modules-common install
linux-restricted-modules-generic install
linux-sound-base install
linux-ubuntu-modules-2.6.24-19-generic deinstall
linux-ubuntu-modules-2.6.24-20-generic deinstall
linux-ubuntu-modules-2.6.24-21-generic install
util-linux install
util-linux-locales install
kaizerjiang@kaizerjiang:~$
不是21的都可以删,注意不带版本号的别删。而且这几个非21的包也没有别的依赖关系
Because...nobody really uses an operating system,
people use...programs...on their computer.
And the only mission in life of an operating system is to helps those programs run.
----Linus
头像
后之后觉
帖子: 252
注册时间: 2008-05-15 13:16
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 后之后觉 » 2008-08-20 19:19

sudo aptitude purge ~ilinux-image-.*\(\!`uname -r`\)
头像
sevk
帖子: 2059
注册时间: 2007-05-08 16:26
系统: arch
来自: 火星内核某分子内某原子核内
送出感谢: 20 次
接收感谢: 6 次
联系:

#10

帖子 sevk » 2008-08-20 19:39

打开新立德,查找 2.6.24-19 ,找到全删.
笔记本 :
F208S : gentoo
A460P i3G D6 : UBUNTU + WIN7
UN43D1 : UBUNTU + WIN7
1000人超级QQ群 LINUX + WIN : 31465544 或 18210387
回复

回到 “老旧版本支持”